org.apache.storm.topology

## Interface IBasicBolt

- All Superinterfaces:
    IComponent, Serializable
  All Known Implementing Classes:
    AbstractRankerBolt, AnchoredWordCount.SplitSentence, AnchoredWordCount.WordCount, BaseBasicBolt, BasicDRPCTopology.ExclaimBolt, BlobStoreAPIWordCountTopology.FilterWords, CountBolt, FastWordCountTopology.SplitSentence, FastWordCountTopology.WordCount, IdentityBolt, InOrderDeliveryTest.Check, IntermediateRankingsBolt, LambdaBiConsumerBolt, LambdaConsumerBolt, LogInfoBolt, ManualDRPC.ExclamationBolt, PrepareBatchBolt, PrepareRequest, PrinterBolt, ReachTopology.GetFollowers, ReachTopology.GetTweeters, SplitSentenceBolt, StatefulTopology.PrinterBolt, TestConfBolt, TestPrintBolt, TestWordBytesCounter, TestWordCounter, ThroughputVsLatency.SplitSentence, ThroughputVsLatency.WordCount, TotalRankingsBolt, TotalWordCounter, TotalWordCounter, TridentSpoutCoordinator, WordCountBolt, WordCounter, WordCounter, WordCounter, WordCounter, WordCounter, WordCountTopologyNode.WordCount

      public interface IBasicBolt
      extends IComponent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `execute(Tuple input, BasicOutputCollector collector)` Process the input tuple and optionally emit new tuples based on the input tuple.
    `void` | `prepare(Map<String,Object> topoConf, TopologyContext context)`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `declareOutputFields, getComponentConfiguration`

- - ### Method Detail

    - #### prepare

          void prepare(Map<String,Object> topoConf,
                       TopologyContext context)

    - #### execute

          void execute(Tuple input,
                       BasicOutputCollector collector)

      Process the input tuple and optionally emit new tuples based on the input tuple.

      All acking is managed for you. Throw a FailedException if you want to fail the tuple.

    - #### cleanup

          void cleanup()

Copyright © 2021 The Apache Software Foundation. All rights reserved.